summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam L. Thomson Jr <wlt@o-sinc.com>2015-09-25 21:12:03 -0400
committerWilliam L. Thomson Jr <wlt@o-sinc.com>2015-09-25 21:12:03 -0400
commit944193a88e918af69e0c75fceff97415ecd47e12 (patch)
tree97796d422e5aa787bdf7c6cf55852dc6fe2e457e /dev-java/resin-servlet-api/resin-servlet-api-4.0.44.ebuild
parentdev-ruby/sprockets: Version bump (diff)
downloadgentoo-944193a88e918af69e0c75fceff97415ecd47e12.tar.gz
gentoo-944193a88e918af69e0c75fceff97415ecd47e12.tar.bz2
gentoo-944193a88e918af69e0c75fceff97415ecd47e12.zip
dev-java/resin-servlet-api: Bumped to latest version, just a copy of 4.0.27 with slot change to 3.1, tested compile and installs
Diffstat (limited to 'dev-java/resin-servlet-api/resin-servlet-api-4.0.44.ebuild')
-rw-r--r--dev-java/resin-servlet-api/resin-servlet-api-4.0.44.ebuild48
1 files changed, 48 insertions, 0 deletions
diff --git a/dev-java/resin-servlet-api/resin-servlet-api-4.0.44.ebuild b/dev-java/resin-servlet-api/resin-servlet-api-4.0.44.ebuild
new file mode 100644
index 00000000000..ad72b6b60c8
--- /dev/null
+++ b/dev-java/resin-servlet-api/resin-servlet-api-4.0.44.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+JAVA_PKG_IUSE="source"
+
+inherit java-pkg-2 java-ant-2
+
+DESCRIPTION="Resin Servlet API 3.0/JSP API 2.1 implementation"
+HOMEPAGE="http://www.caucho.com/"
+SRC_URI="http://www.caucho.com/download/resin-${PV}-src.zip"
+
+LICENSE="GPL-2"
+SLOT="3.1"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
+
+IUSE=""
+
+COMMON_DEP=""
+
+RDEPEND=">=virtual/jre-1.6
+ ${COMMON_DEP}"
+DEPEND=">=virtual/jdk-1.6
+ app-arch/unzip
+ ${COMMON_DEP}"
+
+S="${WORKDIR}/resin-${PV}"
+
+java_prepare() {
+ cd "${S}"
+ rm -f modules/ext/*.jar project-jars/*.jar webapp-jars/*.jar
+ java-ant_bsfix_files build-common.xml || die
+}
+
+EANT_BUILD_TARGET="servlet16"
+EANT_DOC_TARGET=""
+
+src_install() {
+ java-pkg_newjar "modules/servlet16/dist/servlet-16.jar"
+ use source && java-pkg_dosrc "${S}"/modules/servlet16/src/*
+
+ dosym "${PN}.jar" "/usr/share/${PN}-${SLOT}/lib/servlet-api.jar"
+ java-pkg_regjar "${D}/usr/share/${PN}-${SLOT}/lib/servlet-api.jar"
+ dosym "${PN}.jar" "/usr/share/${PN}-${SLOT}/lib/jsp-api.jar"
+ java-pkg_regjar "${D}/usr/share/${PN}-${SLOT}/lib/jsp-api.jar"
+}